Bug 734885 - [abrt] system-config-samba-1.2.92-1.fc15: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
Summary: [abrt] system-config-samba-1.2.92-1.fc15: connection.py:630:call_blocking:DBu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:292217bb491a73576aeafd36da9...
: 757298 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 18:45 UTC by José Antonio
Modified: 2012-08-07 20:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:00:29 UTC


Attachments (Terms of Use)
This is the smb.conf attached to leoncogs bug (11.47 KB, application/octet-stream)
2011-11-22 17:55 UTC, leon Cogs
no flags Details

Description José Antonio 2011-08-31 18:45:02 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
comment:        Samba configuration guy failed to start and this crash poped out.
component:      system-config-samba
executable:     /usr/bin/system-config-samba
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        system-config-samba-1.2.92-1.fc15
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
time:           Wed Aug 31 19:44:25 2011
uid:            500
username:       jose

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 121, in reply_handler
:    result = method(self, *p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 51, in readSmbConf
:    return self.backend.readSmbConf ()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 95, in readSmbConf
:    self.parser.parse (filecontents)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 270, in parse
:    token = self.createToken (line, section)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 238, in createToken
:    name, value = line.split ("=", 1)
:ValueError: need more than 1 value to unpack
:
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-samba", line 55, in <module>
:    main_window = mainWindow.MainWindow (debug_flag = debug_flag, use_dbus = use_dbus)
:  File "/usr/share/system-config-samba/mainWindow.py", line 122, in __init__
:    self.samba_data = sambaConfig.SambaConfig (self.samba_backend)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 28, in __init__
:    self.parseFile ()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 31, in parseFile
:    return self.parse (self.backend.readSmbConf ())
:  File "<string>", line 2, in readSmbConf
:  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 141, in _enable_proxy
:    return func(*p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 49, in readSmbConf
:    return self.dbus_interface.readSmbConf ()
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 68, in __call__
:    return self._proxy_method(*args, **keywords)
:  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
:    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 121, in reply_handler
:    result = method(self, *p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 51, in readSmbConf
:    return self.backend.readSmbConf ()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 95, in readSmbConf
:    self.parser.parse (filecontents)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 270, in parse
:    token = self.createToken (line, section)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 238, in createToken
:    name, value = line.split ("=", 1)
:ValueError: need more than 1 value to unpack
:
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0xf06650>
:args: ()
:utf8_strings: False
:bus_name: dbus.UTF8String(':1.86')
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/fedoraproject/Config/Samba/Backend'
:timeout: 2147483.647
:signature: ''
:dbus_interface: 'org.fedoraproject.Config.Samba.Backend'
:message: <dbus.lowlevel.MethodCallMessage object at 0xd3fa80>
:method: 'readSmbConf'

Comment 1 Nils Philippsen 2011-09-01 14:53:29 UTC
Please attach the file /etc/samba/smb.conf to this bug report. Thanks!

Comment 2 Shuresh Williams 2011-09-10 00:52:03 UTC
Package: system-config-samba-1.2.92-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Attempting to configure Samba.

Comment 3 Nils Philippsen 2011-09-12 09:25:09 UTC
Please attach the file /etc/samba/smb.conf to this bug report. Thanks!

Comment 4 Shuresh Williams 2011-09-12 14:22:50 UTC
# This is the main Samba configuration file. For detailed information about the
# options listed here, refer to the smb.conf(5) manual page. Samba has a huge
# number of configurable options, most of which are not shown in this example.
#
# The Official Samba 3.2.x HOWTO and Reference Guide contains step-by-step
# guides for installing, configuring, and using Samba:
# http://www.samba.org/samba/docs/Samba-HOWTO-Collection.pdf
#
# The Samba-3 by Example guide has working examples for smb.conf. This guide is
# generated daily: http://www.samba.org/samba/docs/Samba-Guide.pdf
#
# In this file, lines starting with a semicolon (;) or a hash (#) are
# comments and are ignored. This file uses hashes to denote commentary and
# semicolons for parts of the file you may wish to configure.
#
# Note: Run the "testparm" command after modifying this file to check for basic
# syntax errors.
#
#---------------
# Security-Enhanced Linux (SELinux) Notes:
#
# Turn the samba_domain_controller Boolean on to allow Samba to use the useradd
# and groupadd family of binaries. Run the following command as the root user to
# turn this Boolean on:
# setsebool -P samba_domain_controller on
#
# Turn the samba_enable_home_dirs Boolean on if you want to share home
# directories via Samba. Run the following command as the root user to turn this
# Boolean on:
# setsebool -P samba_enable_home_dirs on
#
# If you create a new directory, such as a new top-level directory, label it
# with samba_share_t so that SELinux allows Samba to read and write to it. Do
# not label system directories, such as /etc/ and /home/, with samba_share_t, as
# such directories should already have an SELinux label.
#
# Run the "ls -ldZ /path/to/directory" command to view the current SELinux
# label for a given directory.
#
# Set SELinux labels only on files and directories you have created. Use the
# chcon command to temporarily change a label:
# chcon -t samba_share_t /path/to/directory
#
# Changes made via chcon are lost when the file system is relabeled or commands
# such as restorecon are run.
#
# Use the samba_export_all_ro or samba_export_all_rw Boolean to share system
# directories. To share such directories and only allow read-only permissions:
# setsebool -P samba_export_all_ro on
# To share such directories and allow read and write permissions:
# setsebool -P samba_export_all_rw on
#
# To run scripts (preexec/root prexec/print command/...), copy them to the
# /var/lib/samba/scripts/ directory so that SELinux will allow smbd to run them.
# Note that if you move the scripts to /var/lib/samba/scripts/, they retain
# their existing SELinux labels, which may be labels that SELinux does not allow
# smbd to run. Copying the scripts will result in the correct SELinux labels.
# Run the "restorecon -R -v /var/lib/samba/scripts" command as the root user to
# apply the correct SELinux labels to these files.
#
#--------------
#
#======================= Global Settings =====================================

[global]

# ----------------------- Network-Related Options -------------------------
#
# workgroup = the Windows NT domain name or workgroup name, for example, MYGROUP.
#
# server string = the equivalent of the Windows NT Description field.
#
# netbios name = used to specify a server name that is not tied to the hostname.
#
# interfaces = used to configure Samba to listen on multiple network interfaces.
# If you have multiple interfaces, you can use the "interfaces =" option to
# configure which of those interfaces Samba listens on. Never omit the localhost
# interface (lo).
#
# hosts allow = the hosts allowed to connect. This option can also be used on a
# per-share basis.

# hosts deny = the hosts not allowed to connect. This option can also be used on
# a per-share basis.
#
workgroup = ######
server string = #####

netbios name = #####

:	interfaces = lo eth0 ######
: 	hosts allow = 127. 192.168.2.
:	lock directory = /var/cache/samba
# --------------------------- Logging Options -----------------------------
#
# log file = specify where log files are written to and how they are split.
#
# max log size = specify the maximum size log files are allowed to reach. Log
# files are rotated when they reach the size specified with "max log size".
#

log file = /var/log/samba/log.%m
max log size = 50

# ----------------------- Standalone Server Options ------------------------
#
# security = the mode Samba runs in. This can be set to user, share
# (deprecated), or server (deprecated).
#
# passdb backend = the backend used to store user information in. New
# installations should use either tdbsam or ldapsam. No additional configuration
# is required for tdbsam. The "smbpasswd" utility is available for backwards
# compatibility.
#

#security = user
security = share
#encrypt passwords = yes
#smb passwd file = /etc/samba/smbpasswd


# ----------------------- Domain Members Options ------------------------
#
# security = must be set to domain or ads.
#
# passdb backend = the backend used to store user information in. New
# installations should use either tdbsam or ldapsam. No additional configuration
# is required for tdbsam. The "smbpasswd" utility is available for backwards
# compatibility.
#
# realm = only use the realm option when the "security = ads" option is set.
# The realm option specifies the Active Directory realm the host is a part of.
#
# password server = only use this option when the "security = server"
# option is set, or if you cannot use DNS to locate a Domain Controller. The
# argument list can include My_PDC_Name, [My_BDC_Name], and [My_Next_BDC_Name]:
#
# password server = My_PDC_Name [My_BDC_Name] [My_Next_BDC_Name]
#
# Use "password server = *" to automatically locate Domain Controllers.

;	passdb backend = tdbsam
;	realm = MY_REALM

;	password server = <NT-Server-Name>

# ----------------------- Domain Controller Options ------------------------
#
# security = must be set to user for domain controllers.
#
# passdb backend = the backend used to store user information in. New
# installations should use either tdbsam or ldapsam. No additional configuration
# is required for tdbsam. The "smbpasswd" utility is available for backwards
# compatibility.
#
# domain master = specifies Samba to be the Domain Master Browser, allowing
# Samba to collate browse lists between subnets. Do not use the "domain master"
# option if you already have a Windows NT domain controller performing this task.
#
# domain logons = allows Samba to provide a network logon service for Windows
# workstations.
#
# logon script = specifies a script to run at login time on the client. These
# scripts must be provided in a share named NETLOGON.
#
# logon path = specifies (with a UNC path) where user profiles are stored.
#
#

;	domain master = yes
;	domain logons = yes

# the following login script name is determined by the machine name
# (%m):
;	logon script = %m.bat
# the following login script name is determined by the UNIX user used:
;	logon script = %u.bat
;	logon path = \\%L\Profiles\%u
# use an empty path to disable profile support:
;	logon path =

# various scripts can be used on a domain controller or a stand-alone
# machine to add or delete corresponding UNIX accounts:

;	add user script = /usr/sbin/useradd "%u" -n -g users
;	add group script = /usr/sbin/groupadd "%g"
;	add machine script = /usr/sbin/useradd -n -c "Workstation (%u)" -M -d /nohome -s /bin/false "%u"
;	delete user script = /usr/sbin/userdel "%u"
;	delete user from group script = /usr/sbin/userdel "%u" "%g"
;	delete group script = /usr/sbin/groupdel "%g"


# ----------------------- Browser Control Options ----------------------------
#
# local master = when set to no, Samba does not become the master browser on
# your network. When set to yes, normal election rules apply.
#
# os level = determines the precedence the server has in master browser
# elections. The default value should be reasonable.
#
# preferred master = when set to yes, Samba forces a local browser election at
# start up (and gives itself a slightly higher chance of winning the election).
#
;	local master = no
;	os level = 33
;	preferred master = yes

#----------------------------- Name Resolution -------------------------------
#
# This section details the support for the Windows Internet Name Service (WINS).
#
# Note: Samba can be either a WINS server or a WINS client, but not both.
#
# wins support = when set to yes, the NMBD component of Samba enables its WINS
# server.
#
# wins server = tells the NMBD component of Samba to be a WINS client.
#
# wins proxy = when set to yes, Samba answers name resolution queries on behalf
# of a non WINS capable client. For this to work, there must be at least one
# WINS server on the network. The default is no.
#
# dns proxy = when set to yes, Samba attempts to resolve NetBIOS names via DNS
# nslookups.

wins support = yes
;	wins server = w.x.y.z
;	wins proxy = yes

;	dns proxy = yes

# --------------------------- Printing Options -----------------------------
#
# The options in this section allow you to configure a non-default printing
# system.
#
# load printers = when set you yes, the list of printers is automatically
# loaded, rather than setting them up individually.
#
# cups options = allows you to pass options to the CUPS library. Setting this
# option to raw, for example, allows you to use drivers on your Windows clients.
#
# printcap name = used to specify an alternative printcap file.
#

;	load printers = yes
cups options = raw

;	printcap name = /etc/printcap
# obtain a list of printers automatically on UNIX System V systems:
;	printcap name = lpstat
;	printing = cups

# --------------------------- File System Options ---------------------------
#
# The options in this section can be un-commented if the file system supports
# extended attributes, and those attributes are enabled (usually via the
# "user_xattr" mount option). These options allow the administrator to specify
# that DOS attributes are stored in extended attributes and also make sure that
# Samba does not change the permission bits.
#
# Note: These options can be used on a per-share basis. Setting them globally
# (in the [global] section) makes them the default for all shares.

;	map archive = no
;	map hidden = no
;	map read only = no
;	map system = no
;	encrypt passwords = yes
;	guest ok = no
;	guest account = nobody
;	store dos attributes = yes


#============================ Share Definitions ==============================

[homes]
comment = Home Directories
read only = no
;	valid users = %S
;	valid users = MYDOMAIN\%S

[printers]
comment = All Printers
path = /var/spool/samba
printable = yes

[scanns2]
path = ######
read only = no
map system = yes
map hidden = yes
valid users = ####
guest ok = yes
hosts allow = *
admin users = #####
only user = yes
username = #######

Comment 5 Nils Philippsen 2011-09-12 16:08:43 UTC
Thanks! But please attach the file using the "Add an attachment" link above rather than pasting it as a comment. The latter modifies the contents in some places (e.g. wraps long lines). Also, please don't use the hash ('#', used to denote comments in smb.conf) to mask private values, rather use dummy paths/usernames. Thanks again.

Comment 6 leon Cogs 2011-11-16 07:50:36 UTC
Package: system-config-samba-1.2.93-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Trying to open service config samba after putting in password which I think is right.  This happens both command line and gui interface.

[leonc16@localhost ~]$ system-config-samba
Traceback (most recent call last):
  File "/usr/bin/system-config-samba", line 55, in <module>
    main_window = mainWindow.MainWindow (debug_flag = debug_flag, use_dbus = use_dbus)
  File "/usr/share/system-config-samba/mainWindow.py", line 122, in __init__
    self.samba_data = sambaConfig.SambaConfig (self.samba_backend)
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 28, in __init__
    self.parseFile ()
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 31, in parseFile
    return self.parse (self.backend.readSmbConf ())
  File "<string>", line 2, in readSmbConf
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 141, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 49, in readSmbConf
    return self.dbus_interface.readSmbConf ()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 121, in reply_handler
    result = method(self, *p, **k)
  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 51, in readSmbConf
    return self.backend.readSmbConf ()
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 95, in readSmbConf
    self.parser.parse (filecontents)
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 270, in parse
    token = self.createToken (line, section)
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 238, in createToken
    name, value = line.split ("=", 1)
ValueError: need more than 1 value to unpack

Comment 7 Nils Philippsen 2011-11-16 10:08:40 UTC
(In reply to comment #5)
> Thanks! But please attach the file using the "Add an attachment" link above
> rather than pasting it as a comment. The latter modifies the contents in some
> places (e.g. wraps long lines). Also, please don't use the hash ('#', used to
> denote comments in smb.conf) to mask private values, rather use dummy
> paths/usernames. Thanks again.

^^ This. I need /etc/samba/smb.conf attached as a file to this ticket for debugging. If there is sensitive information inside (e.g. passwords), replace it with syntactically correct dummy values (not e.g. comment markers). Thanks :-).

Comment 8 leon Cogs 2011-11-22 17:44:17 UTC
Package: system-config-samba-1.2.93-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
opening system-config-samba and after entering password.

Comment 9 leon Cogs 2011-11-22 17:55:48 UTC
Created attachment 535141 [details]
This is the smb.conf attached to leoncogs bug

Comment 10 Nils Philippsen 2011-11-24 15:56:41 UTC
Leon: in your case it's a line consisting of all dashes which makes the parser trip:

...
-----------------------------------------------------------------------------
username map = /etc/samba/smbusers
smb passwd file = /etc/samba/smbpasswd
...

System-config-samba should be fixed, at least so that it doesn't traceback, but tells the user that something (ideally: which line) is syntactically incorrect.

Comment 11 leon Cogs 2011-12-11 11:40:37 UTC
Working here now - thanks

Comment 12 Fedora Update System 2011-12-15 13:18:58 UTC
system-config-samba-1.2.94-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-samba-1.2.94-1.fc15

Comment 13 Fedora Update System 2011-12-16 19:51:53 UTC
Package system-config-samba-1.2.94-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-samba-1.2.94-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17172/system-config-samba-1.2.94-1.fc15
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-12-23 03:27:32 UTC
Package system-config-samba-1.2.95-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-samba-1.2.95-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17172/system-config-samba-1.2.95-1.fc15
then log in and leave karma (feedback).

Comment 15 Nils Philippsen 2011-12-23 08:57:06 UTC
*** Bug 757298 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2012-02-06 11:17:43 UTC
system-config-samba-1.2.96-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-samba-1.2.96-1.fc15

Comment 17 Nils Philippsen 2012-02-06 11:20:06 UTC
Hmm, the changes in .95/.96 only work if bypassing dbus as exceptions in it can't pass on all information in the original python exceptions.

Comment 18 Fedora End Of Life 2012-08-07 20:00:32 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.